Loading...
Searching...
No Matches
DenseGrid.h File Reference

Simple dense grid class. More...

`#include <stdint.h>`
`#include <fstream>`
`#include <nanovdb/util/HostBuffer.h>`
`#include <nanovdb/util/ForEach.h>`
`#include <nanovdb/NanoVDB.h>`

Go to the source code of this file.

## Classes

struct | DenseData
class | DenseGrid< ValueT >
| Simple dense grid class. More...
class | DenseGridHandle< BufferT >

## Namespaces

namespace | nanovdb
namespace | nanovdb::io

## Macros

#define | LOG2_TILE_SIZE 2
#define | DENSE_MAGIC_NUMBER 0x42445665736e6544UL

## Functions

template<typename ValueT>
void | writeDense (const DenseGrid< ValueT > &grid, const char *fileName)
template<typename BufferT>
void | writeDense (const DenseGridHandle< BufferT > &handle, const char *fileName)
template<typename BufferT = HostBuffer>
DenseGridHandle< BufferT > | readDense (const char *fileName, const BufferT &allocator=BufferT())
template<typename GridT, typename BufferT = HostBuffer>
DenseGridHandle< BufferT > | convertToDense (const GridT &grid, const BufferT &allocator=BufferT())
| Converts a NanoVDB grid to a DenseGrid.

## Detailed Description

Simple dense grid class.

Author
  Ken Museth

## Macro Definition Documentation

## DENSE_MAGIC_NUMBER

#define DENSE_MAGIC_NUMBER 0x42445665736e6544UL

## LOG2_TILE_SIZE

#define LOG2_TILE_SIZE 2